Skip to main content
The Pacifica Python SDK provides a comprehensive example on using this endpoint

Operation Type (for Signing)

Request Body

FieldTypeNeedDescriptionExample
”account”stringrequiredUser’s wallet address42trU9A5…
“signature”stringrequiredCryptographic signature5j1Vy9Uq…
“timestamp”integerrequiredCurrent timestamp in milliseconds1716200000000
”all_symbols”booleanrequiredWhether to cancel orders for all symbolstrue
”exclude_reduce_only”booleanrequiredWhether to exclude reduce-only ordersfalse
”symbol”stringrequired
(if all_symbols is false)
Trading pair symbol
”agent_wallet”stringoptionalAgent wallet address69trU9A5…
“expiry_window”integeroptionalSignature expiry in milliseconds30000

Response

  • Status 200: All orders cancelled successfully
  • Status 400: Bad request
  • Status 500: Internal server error

Code Example (Python)